
# [Doc Server](./)

Documentation Services for multiple docs content with access restricions and permissions

<img style="margin: 1em 0em;border: 0" width="250" alt="DocServer" src="images/docserver-w.png?sanitize=true">

<br>

[Doc Server](./) is a **Web Server** in [Rust](https://www.rust-lang.org) for [static content](./docs/static_content.md)
with **Control access**  via [authorizations](./docs/auths.md), fully customizable with [settings](./docs/settings.md).

> [!WARNING]
> Code here needs a fulll review and documentation 

> [!CAUTION]
 
 ## Features

Can use one server instance for all Documentations in contexts/use-cases with sessions, users/groups access 

- <b>Documentation</b> for publishing or local build with original [Rust mdbook](/mdbook) fixed for absolute links and officially reported
- <u>Rust web server for [mdbooks](https://rust-lang.github.io/mdBook)</u> created with authentication and authorizations (permissions based on roles)
- <b>Control access</b> for static content like documentation (books and code) with a lot of options for settings
- <b>Documentations access control and info</b> for users and groups allows separating content for development, distribution or future versions, etc.
- Can run <b>under one instance server</b>, can be implemented in a local or public infrastructure with automations CD/CI

